Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.binding
Class JUCtrlValueBindingRef

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.jbo.uicli.binding.JUCtrlValueBindingRef`

All Implemented Interfaces:
  oracle.adf.model.AttributesBinding, AttributesBinding, ControlBinding, oracle.adf.model.ControlBinding, java.util.Map

public class JUCtrlValueBindingRef
extends oracle.jbo.common.JboAbstractMap
implements oracle.adf.model.AttributesBinding

The base class for all binding objects in the JClient framework that bind a Swing control/model to a BC4J attribute(s). This class manages:

- The references to the Swing control
- The IteratorBinding with which the binding object is in association
- The form binding that this binding belongs to
- The internal-state for findMode

This class also implements helper methods to access BC4J objects like the Transaction, the current Application Module, the ViewObject that this control binding is working with, the current RowIterator, the current Row in the iterator that this control binding is associated with. It also provides methods to execute the ViewObject behind this again (optionally).

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary
`static java.lang.String` | `RANGESET_BASE_BINDING` accesses the underlying row that this reference object is bound to.
`static java.lang.String` | `RANGESET_CURRENCY_STRING` accesses a String representation for web UIs to indicate if this refers to a current row.
`static java.lang.String` | `RANGESET_INDEX` Allows access to this references row-index in the current range set.
`static java.lang.String` | `RANGESET_LABEL_SET`
`static java.lang.String` | `RANGESET_ROW` accesses the underlying row that this reference object is bound to.
`static java.lang.String` | `RANGESET_ROW_DATA_PROVIDER` accesses the bean in the underlying row that this reference object is bound to incase of non bc4j datacontrols.
`static java.lang.String` | `RANGESET_ROW_KEY` Allows access to the key for the row referred to by this reference object.
`static java.lang.String` | `RANGESET_ROW_KEY_STR` Allows access to the String form of the key for the row referred to by this reference object.
`static java.lang.String` | `RANGESET_ROW_KEY_VALUE` Allows access to the key-attribute value for the row referred to by this reference object.
`java.lang.String` | `STR_CURRENT_ROW` String value returned from getCurrencyString if this row is current
`java.lang.String` | `STR_NOT_CURRENT_ROW` String value returned from getCurrencyString if this row is not current

Constructor Summary
`protected` | `JUCtrlValueBindingRef(JUCtrlValueBinding binding, int index, Row row)`

Method Summary
`java.lang.Object` | `get(java.lang.Object key)` Properties returned via getter on this reference object are: `index` - returns Range Index of the row this reference is pointing to `key` - returns Key of the row this reference is pointing to `rowKeyStr` - returns String format of the key of the row this reference is pointing to() `keyValue` - returns the attribute value of the primary key attribute on the Row this reference is pointing to() `currencyString` - returns getCurrencyString `attributeValues` - returns Array of applicable attribute values from the row() `labelSet` - returns Array of labels for attributes bound() `row` - returns the framework Row object that this binding is referring to `binding` - the rangeset binding that this reference binding is created within.
`protected java.lang.Object[]` | `getAttributeValues()`
`JUCtrlValueBinding` | `getBinding()`
`java.lang.String` | `getCurrencyString()`
`protected JboException` | `getError()`
`java.util.List` | `getErrors()` Returns a list of errors that were raised during the last setInputValue call.
`java.lang.Object` | `getInputValue(int index)` Return the value that should be rendered on a view for the attribute associated with this binding.
`java.lang.String[]` | `getLabelSet()` Returns the display label or prompt for the all the attributes represented by this binding.
`java.lang.String` | `getName()` Return name that identifies this binding uniquely in it's container.
`java.lang.String` | `getPath()` Get a unique path to this instance of the control binding inside it's 'outermost' container that is referred in the BindingContext.
`protected DCControlBinding` | `getReferencedBinding()` Returns the copntrol binding with which this reference is associated to get it's data.
`Row` | `getRow()`
`boolean` | `isUpdateable(int index)` Finds out whether the attribute is updateable or is for display only.
`void` | `makeCurrentRow()` Changes the currency to the row represented by this valu binding reference
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `release(int flag)` Releases this ControlBinding.
`protected java.lang.Object` | `resolveAttributeValue(java.lang.String key, java.lang.Object attrValue)`
`boolean` | `resolvePath(java.util.Map map)` Given a map of name/value pairs, use this binding's path to find an entry in this map.
`void` | `setInputValue(int index, java.lang.Object val)` Update the attribute value associated with this binding.
`void` | `setListener(oracle.adf.model.UpdateListener l)` Add a listener that should be notified when the associated attribute value changes.
`void` | `setListener(UpdateListener listener)` Adds a listener that should be notified when the associated attribute value changes.

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, hashCode, internalGet, internalPut`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### RANGESET_INDEX

    public static final java.lang.String RANGESET_INDEX

  Allows access to this references row-index in the current range set.
  See Also:
    Constant Field Values

### RANGESET_ROW_KEY

    public static final java.lang.String RANGESET_ROW_KEY

  Allows access to the key for the row referred to by this reference object.
  See Also:
    Constant Field Values

### RANGESET_ROW_KEY_STR

    public static final java.lang.String RANGESET_ROW_KEY_STR

  Allows access to the String form of the key for the row referred to by this reference object.
  See Also:
    Constant Field Values

### RANGESET_ROW_KEY_VALUE

    public static final java.lang.String RANGESET_ROW_KEY_VALUE

  Allows access to the key-attribute value for the row referred to by this reference object. This assumes that this row type has only one attribute marked as key attribute.
  See Also:
    Constant Field Values

### RANGESET_CURRENCY_STRING

    public static final java.lang.String RANGESET_CURRENCY_STRING

  accesses a String representation for web UIs to indicate if this refers to a current row.
  See Also:
    Constant Field Values

### RANGESET_LABEL_SET

    public static final java.lang.String RANGESET_LABEL_SET

  See Also:
    Constant Field Values

### RANGESET_ROW

    public static final java.lang.String RANGESET_ROW

  accesses the underlying row that this reference object is bound to.
  See Also:
    Constant Field Values

### RANGESET_ROW_DATA_PROVIDER

    public static final java.lang.String RANGESET_ROW_DATA_PROVIDER

  accesses the bean in the underlying row that this reference object is bound to incase of non bc4j datacontrols.
  See Also:
    Constant Field Values

### RANGESET_BASE_BINDING

    public static final java.lang.String RANGESET_BASE_BINDING

  accesses the underlying row that this reference object is bound to.
  See Also:
    Constant Field Values

### STR_NOT_CURRENT_ROW

    public final java.lang.String STR_NOT_CURRENT_ROW

  String value returned from getCurrencyString if this row is not current
  See Also:
    Constant Field Values

### STR_CURRENT_ROW

    public final java.lang.String STR_CURRENT_ROW

  String value returned from getCurrencyString if this row is current
  See Also:
    Constant Field Values

Constructor Detail

### JUCtrlValueBindingRef

    protected JUCtrlValueBindingRef(JUCtrlValueBinding binding,
                                    int index,
                                    Row row)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `ControlBinding`
  Return name that identifies this binding uniquely in it's container.
  Specified by:
    `getName` in interface `ControlBinding`

### getBinding

    public JUCtrlValueBinding getBinding()

### getRow

    public Row getRow()

### getCurrencyString

    public java.lang.String getCurrencyString()

  Returns:
    "*" if this refers to a current row otherwise returns " ".

### makeCurrentRow

    public void makeCurrentRow()

  Changes the currency to the row represented by this valu binding reference

### get

    public java.lang.Object get(java.lang.Object key)

  Properties returned via getter on this reference object are:
  - `index` - returns Range Index of the row this reference is pointing to
  - `key` - returns Key of the row this reference is pointing to
  - `rowKeyStr` - returns String format of the key of the row this reference is pointing to()
  - `keyValue` - returns the attribute value of the primary key attribute on the Row this reference is pointing to()
  - `currencyString` - returns getCurrencyString
  - `attributeValues` - returns Array of applicable attribute values from the row()
  - `labelSet` - returns Array of labels for attributes bound()
  - `row` - returns the framework Row object that this binding is referring to
  - `binding` - the rangeset binding that this reference binding is created within.
  -   Specified by:
        `get` in interface `java.util.Map`

### getAttributeValues

    protected java.lang.Object[] getAttributeValues()

### resolveAttributeValue

    protected java.lang.Object resolveAttributeValue(java.lang.String key,
                                                     java.lang.Object attrValue)

### getReferencedBinding

    protected final DCControlBinding getReferencedBinding()

  Returns the copntrol binding with which this reference is associated to get it's data.

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`

### getLabelSet

    public java.lang.String[] getLabelSet()

  Description copied from interface: `AttributesBinding`
  Returns the display label or prompt for the all the attributes represented by this binding.
  Specified by:
    `getLabelSet` in interface `oracle.adf.model.AttributesBinding`

### getInputValue

    public java.lang.Object getInputValue(int index)

  Description copied from interface: `oracle.adf.model.AttributesBinding`
  Return the value that should be rendered on a view for the attribute associated with this binding.
  Specified by:
    `getInputValue` in interface `oracle.adf.model.AttributesBinding`

### setInputValue

    public void setInputValue(int index,
                              java.lang.Object val)

  Description copied from interface: `oracle.adf.model.AttributesBinding`
  Update the attribute value associated with this binding. If there are exceptions while updating this attribute, these exceptions should be accessible via getErrors()
  Specified by:
    `setInputValue` in interface `oracle.adf.model.AttributesBinding`

### setListener

    public void setListener(oracle.adf.model.UpdateListener l)

  Description copied from interface: `oracle.adf.model.ControlBinding`
  Add a listener that should be notified when the associated attribute value changes.
  Specified by:
    `setListener` in interface `oracle.adf.model.ControlBinding`

### setListener

    public void setListener(UpdateListener listener)

  Description copied from interface: `ControlBinding`
  Adds a listener that should be notified when the associated attribute value changes.
  Specified by:
    `setListener` in interface `ControlBinding`
  Parameters:
    `listener` - The listener object that needs be notified.

### getError

    protected JboException getError()

### getErrors

    public java.util.List getErrors()

  Description copied from interface: `AttributesBinding`
  Returns a list of errors that were raised during the last setInputValue call.
  Specified by:
    `getErrors` in interface `AttributesBinding`
  Returns:
    A list of Throwable that were raised during setInputValue(). It returns null if there is no error occurred.
  See Also:
    `AttributesBinding.setInputValue(int, Object)`

### release

    public void release(int flag)

  Description copied from interface: `ControlBinding`
  Releases this ControlBinding. This method is called when the view component has finished using this ControlBinding.
  Specified by:
    `release` in interface `oracle.adf.model.ControlBinding`

### isUpdateable

    public boolean isUpdateable(int index)

  Description copied from interface: `AttributesBinding`
  Finds out whether the attribute is updateable or is for display only.
  Specified by:
    `isUpdateable` in interface `oracle.adf.model.AttributesBinding`

### getPath

    public java.lang.String getPath()

  Description copied from interface: `ControlBinding`
  Get a unique path to this instance of the control binding inside it's 'outermost' container that is referred in the BindingContext. This string allows the control binding to extract it's data or action out of the postMap provided in resolvePath(). Both these apis are useful in web style clients and may not have much role to play in interactive clients like Swing.
  Specified by:
    `getPath` in interface `ControlBinding`

### resolvePath

    public boolean resolvePath(java.util.Map map)

  Description copied from interface: `ControlBinding`
  Given a map of name/value pairs, use this binding's path to find an entry in this map. If found, return true so that controller logic may use that information to update binding's data if changed or otherwise.
  Specified by:
    `resolvePath` in interface `ControlBinding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.